/*
 * Copyright (C) 2009-2020 SAP SE or an SAP affiliate company. All rights reserved.
 */
sap.ui.define(["sap/ui/core/Control"],function(C){"use strict";return C.extend("sap.cloudfnd.smartbusiness.lib.reusetiles.Singleton",{metadata:{aggregations:{singleton:{type:"sap.ui.core.Element"},content:{multiple:false}}},renderer:function(r,c){r.write("<div");r.writeElementData(c);r.write(">");if(c.getContent())r.renderControl(c.getContent());r.write("</div>");},updateBindingContext:function(){var b=this.getBinding("singleton");if(b){var t=this;b.attachEvent("dataReceived",function(e){t.getContent().setBindingContext(this.getCurrentContexts()[0]);var d=e&&e.getParameter("data");var T=t.getContent();sap.cloudfnd.smartbusiness.lib.reusetiles.Util.prototype.onDataLoaded(d,T);});}C.prototype.updateBindingContext.apply(this,arguments);}});},true);
